From c1e3bddc43e2d4a7f3178024e57b8d75290a0e1d Mon Sep 17 00:00:00 2001
From: Saagar Jha <saagar@saagarjha.com>
Date: Fri, 26 Oct 2018 04:44:28 -0700
Subject: [PATCH] Use new Darwin operating system names

Replace MacOSX with macOS, IOS with iOS, and WatchOS with watchOS.

include/ChangeLog:
2019-02-15  Saagar Jha  <saagar@saagarjha.com>

	* mach-o/loader.h: Use new OS names in comments.
---
 include/mach-o/loader.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/include/mach-o/loader.h b/include/mach-o/loader.h
index a870e50ba0..edf0a8becf 100644
--- a/include/mach-o/loader.h
+++ b/include/mach-o/loader.h
@@ -174,8 +174,8 @@ typedef enum bfd_mach_o_load_command_type
   BFD_MACH_O_LC_ENCRYPTION_INFO = 0x21,		/* Encrypted segment info.  */
   BFD_MACH_O_LC_DYLD_INFO = 0x22,		/* Compressed dyld information.  */
   BFD_MACH_O_LC_LOAD_UPWARD_DYLIB = 0x23,	/* Load upward dylib.  */
-  BFD_MACH_O_LC_VERSION_MIN_MACOSX = 0x24,	/* Minimal MacOSX version.  */
-  BFD_MACH_O_LC_VERSION_MIN_IPHONEOS = 0x25,	/* Minimal IOS version.  */
+  BFD_MACH_O_LC_VERSION_MIN_MACOSX = 0x24,	/* Minimal macOS version.  */
+  BFD_MACH_O_LC_VERSION_MIN_IPHONEOS = 0x25,	/* Minimal iOS version.  */
   BFD_MACH_O_LC_FUNCTION_STARTS = 0x26,  	/* Compressed table of func start.  */
   BFD_MACH_O_LC_DYLD_ENVIRONMENT = 0x27, 	/* Env variable string for dyld.  */
   BFD_MACH_O_LC_MAIN = 0x28,             	/* Entry point.  */
@@ -186,7 +186,7 @@ typedef enum bfd_mach_o_load_command_type
   BFD_MACH_O_LC_LINKER_OPTIONS = 0x2d,		/* Linker options.  */
   BFD_MACH_O_LC_LINKER_OPTIMIZATION_HINT = 0x2e,/* Optimization hints.  */
   BFD_MACH_O_LC_VERSION_MIN_TVOS = 0x2f,	/* Minimal tvOS version.  */
-  BFD_MACH_O_LC_VERSION_MIN_WATCHOS = 0x30,	/* Minimal WatchOS version.  */
+  BFD_MACH_O_LC_VERSION_MIN_WATCHOS = 0x30,	/* Minimal watchOS version.  */
   BFD_MACH_O_LC_NOTE = 0x31,			/* Region of arbitrary data.  */
   BFD_MACH_O_LC_BUILD_VERSION = 0x32,		/* Generic build version.  */
 }
-- 
2.20.1

